CUPTI (PDF) - v7.0 (older) - Last updated March 5, 2015 - Send Feedback -

## 3.40. CUpti_ActivityUnifiedMemoryCounter2 Struct Reference

## [CUPTI Activity API]

This activity record represents a Unified Memory counter (CUPTI_ACTIVITY_KIND_UNIFIED_MEMORY_COUNTER).

### Public Variables

uint64_t address
CUpti_ActivityUnifiedMemoryCounterKind counterKind
uint32_t dstId
uint64_t end
CUpti_ActivityKind kind
uint64_t pad
uint32_t processId
uint32_t srcId
uint64_t start
uint32_t streamId
uint64_t value

### Variables

uint64_t CUpti_ActivityUnifiedMemoryCounter2::address [inherited]

  This is the virtual base address of the page/s being transferred.

CUpti_ActivityUnifiedMemoryCounterKind CUpti_ActivityUnifiedMemoryCounter2::counterKind [inherited]

  The Unified Memory counter kind. See /ref CUpti_ActivityUnifiedMemoryCounterKind. In CUDA 7.0+ only transfer counters are supported, so possible values for this field are CUPTI_ACTIVITY_UNIFIED_MEMORY_COUNTER_KIND_BYTES_TRANSFER_HTOD and CUPTI_ACTIVITY_UNIFIED_MEMORY_COUNTER_KIND_BYTES_TRANSFER_DTOH.

uint32_t CUpti_ActivityUnifiedMemoryCounter2::dstId [inherited]

  The ID of the destination CPU/device involved in the memory transfer operation.

uint64_t CUpti_ActivityUnifiedMemoryCounter2::end [inherited]

  The end timestamp of the counter, in ns.

CUpti_ActivityKind CUpti_ActivityUnifiedMemoryCounter2::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_UNIFIED_MEMORY_COUNTER

uint64_t CUpti_ActivityUnifiedMemoryCounter2::pad [inherited]

  Undefined. Reserved for internal use.

uint32_t CUpti_ActivityUnifiedMemoryCounter2::processId [inherited]

  The ID of the process to which this record belongs to.

uint32_t CUpti_ActivityUnifiedMemoryCounter2::srcId [inherited]

  The ID of the source CPU/device involved in the memory transfer operation.

uint64_t CUpti_ActivityUnifiedMemoryCounter2::start [inherited]

  The start timestamp of the counter, in ns.

uint32_t CUpti_ActivityUnifiedMemoryCounter2::streamId [inherited]

  The ID of the stream causing the transfer. This value of this field is invalid.

uint64_t CUpti_ActivityUnifiedMemoryCounter2::value [inherited]

  Value of the counter